## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check
%global debug_package %{nil}

%global crate proc-macro2

Name:           rust-proc-macro2
Version:        1.0.51
Release:        %autorelease
Summary:        Substitute implementation of the Rust compiler's proc_macro API

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/proc-macro2
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Substitute implementation of the compiler's `proc_macro` API to decouple token-
based libraries from the procedural macro use case.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+proc-macro-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+proc-macro-devel %{_description}

This package contains library source intended for building other packages which
use the "proc-macro" feature of the "%{crate}" crate.

%files       -n %{name}+proc-macro-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+span-locations-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+span-locations-devel %{_description}

This package contains library source intended for building other packages which
use the "span-locations" feature of the "%{crate}" crate.

%files       -n %{name}+span-locations-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# skip doctests that don't compile
%cargo_test -- -- --skip "src/lib.rs"
%endif

%changelog
* Mon Feb 06 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.51-1
- Update to version 1.0.51; Fixes RHBZ#2167129

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.50-1
- Update to version 1.0.50; Fixes RHBZ#2161427

* Tue Dec 20 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.49-1
- Update to version 1.0.49; Fixes RHBZ#2154589

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.47-1
- Update to version 1.0.47; Fixes RHBZ#2135026

* Wed Oct 05 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.46-1
- Update to version 1.0.46; Fixes RHBZ#2129574

* Sat Aug 06 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.43-1
- Update to version 1.0.43; Fixes RHBZ#2110296

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.40-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 04 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.40-1
- Update to version 1.0.40; Fixes RHBZ#2086967

* Thu May 12 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.38-1
- Update to version 1.0.38; Fixes RHBZ#2072345

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 07 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.36-1
- Update to version 1.0.36; Fixes RHBZ#2035688

* Tue Dec 21 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.34-1
- Update to version 1.0.34; Fixes RHBZ#2032595

* Thu Dec 09 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.33-1
- Update to version 1.0.33; Fixes RHBZ#2029227

* Mon Nov 01 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.32-1
- Update to version 1.0.32; Fixes RHBZ#2013382

* Tue Aug 31 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.29-1
- Update to version 1.0.29; Fixes RHBZ#1999304

* Wed Jul 28 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.28-1
- Update to version 1.0.28; Fixes RHBZ#1985168

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu May 20 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.27-1
- Update to version 1.0.27.
- Fixes RHBZ#1962426

* Wed Apr 28 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.26-1
- Update to version 1.0.26.
- Fixes RHBZ#1945471

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 01 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.24-1
- Update to version 1.0.24.

* Wed Sep 09 2020 Josh Stone <jistone@redhat.com> - 1.0.21-1
- Update to 1.0.21

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 20 2020 Josh Stone <jistone@redhat.com> - 1.0.19-1
- Update to 1.0.19

* Sun May 31 20:36:57 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.18-1
- Update to 1.0.18

* Sun May 24 08:21:05 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.17-1
- Update to 1.0.17

* Fri May 22 2020 Josh Stone <jistone@redhat.com> - 1.0.15-1
- Update to 1.0.15

* Sat May 16 19:36:17 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.13-1
- Update to 1.0.13

* Tue May 05 2020 Josh Stone <jistone@redhat.com> - 1.0.12-1
- Update to 1.0.12

* Wed Apr 01 2020 Josh Stone <jistone@redhat.com> - 1.0.10-1
- Update to 1.0.10

* Tue Feb 25 2020 Josh Stone <jistone@redhat.com> - 1.0.9-1
- Update to 1.0.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jan 17 2020 Josh Stone <jistone@redhat.com> - 1.0.8-1
- Update to 1.0.8

* Tue Jan 07 2020 Josh Stone <jistone@redhat.com> - 1.0.7-1
- Update to 1.0.7

* Tue Nov 19 2019 Josh Stone <jistone@redhat.com> - 1.0.6-1
- Update to 1.0.6

* Sat Sep 21 13:32:35 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.4-1
- Update to 1.0.4

* Sun Sep 01 17:10:08 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2

* Sun Aug 18 15:26:48 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.30-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 11:06:52 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.30-3
- Regenerate

* Sun Jun 09 10:22:46 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.30-2
- Regenerate

* Thu May 09 08:22:00 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.30-1
- Update to 0.4.30

* Tue Apr 30 08:33:59 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.29-1
- Update to 0.4.29

* Tue Apr 23 15:13:37 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.28-1
- Update to 0.4.28

* Sun Feb 03 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.27-1
- Update to 0.4.27

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Jan 20 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.26-1
- Update to 0.4.26

* Thu Jan 17 2019 Josh Stone <jistone@redhat.com> - 0.4.25-1
- Update to 0.4.25

* Fri Nov 16 2018 Josh Stone <jistone@redhat.com> - 0.4.24-1
- Update to 0.4.24

* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 0.4.23-1
- Update to 0.4.23

* Sat Nov 10 2018 Josh Stone <jistone@redhat.com> - 0.4.21-1
- Update to 0.4.21

* Fri Oct 26 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.20-2
- Adapt to new packaging

* Thu Oct 04 2018 Josh Stone <jistone@redhat.com> - 0.4.20-1
- Update to 0.4.20

* Tue Sep 11 2018 Josh Stone <jistone@redhat.com> - 0.4.19-1
- Update to 0.4.19

* Fri Sep 07 2018 Josh Stone <jistone@redhat.com> - 0.4.18-1
- Update to 0.4.18

* Mon Aug 13 2018 Josh Stone <jistone@redhat.com> - 0.4.12-1
- Update to 0.4.12

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.9-2
- Rebuild to trigger tests

* Mon Jul 23 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.9-1
- Update to 0.4.9

* Wed Jul 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.8-1
- Update to 0.4.8

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 21 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.6-1
- Update to 0.4.6

* Wed May 02 2018 Josh Stone <jistone@redhat.com> - 0.3.8-1
- Update to 0.3.8

* Tue Apr 24 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.7-1
- Update to 0.3.7

* Tue Apr 17 2018 Josh Stone <jistone@redhat.com> - 0.3.6-1
- Update to 0.3.6

* Fri Feb 23 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-1
- Update to 0.2.3

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-1
- Update to 0.2.2

* Tue Jan 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.1-1
- Initial package

